Intermittent TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at MakeUnique, nsThread::nsChainedEventQueue::nsChainedEventQueue, nsThread, nsThreadManager::Init

RESOLVED WORKSFORME

Status

()

P3
normal
RESOLVED WORKSFORME
a year ago
8 months ago

People

(Reporter: aryx, Unassigned)

Tracking

({intermittent-failure, memory-leak})

Trunk
intermittent-failure, memory-leak
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

https://treeherder.mozilla.org/logviewer.html#?job_id=107581382&repo=mozilla-inbound

[task 2017-06-16T07:16:17.476406Z] 07:16:17     INFO - TEST-START | Shutdown
[task 2017-06-16T07:16:17.478428Z] 07:16:17     INFO - Browser Chrome Test Summary
[task 2017-06-16T07:16:17.488981Z] 07:16:17     INFO - Passed:  2697
[task 2017-06-16T07:16:17.489310Z] 07:16:17     INFO - Failed:  0
[task 2017-06-16T07:16:17.490777Z] 07:16:17     INFO - Todo:    4
[task 2017-06-16T07:16:17.493354Z] 07:16:17     INFO - Mode:    non-e10s
[task 2017-06-16T07:16:17.496026Z] 07:16:17     INFO - *** End BrowserChrome Test Results ***
[task 2017-06-16T07:16:19.309311Z] 07:16:19     INFO - GECKO(1976) | *** WIFI GEO: shutdown called
[task 2017-06-16T07:16:25.249111Z] 07:16:25     INFO - GECKO(1976) | =================================================================
[task 2017-06-16T07:16:25.251354Z] 07:16:25     INFO - GECKO(1976) | ==1976==ERROR: LeakSanitizer: detected memory leaks
[task 2017-06-16T07:16:25.252754Z] 07:16:25     INFO - GECKO(1976) | Direct leak of 96 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.254160Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.255563Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.256962Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d944850 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.259543Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d944850 in XPCWrappedNative::GetNewOrUsed(xpcObjectHelper&, XPCWrappedNativeScope*, XPCNativeInterface*, XPCWrappedNative**) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNative.cpp:421
[task 2017-06-16T07:16:25.264717Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d8b8cad in XPCConvert::NativeInterface2JSObject(JS::MutableHandle<JS::Value>, nsIXPConnectJSObjectHolder**, xpcObjectHelper&, nsID const*, bool, nsresult*) /home/worker/workspace/build/src/js/xpconnect/src/XPCConvert.cpp:834:19
[task 2017-06-16T07:16:25.272517Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d974cb1 in NativeInterface2JSObject(JS::Handle<JSObject*>, nsISupports*, nsWrapperCache*, nsID const*, bool, JS::MutableHandle<JS::Value>, nsIXPConnectJSObjectHolder**) /home/worker/workspace/build/src/js/xpconnect/src/nsXPConnect.cpp:619:10
[task 2017-06-16T07:16:25.276427Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 2048 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.279102Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bbbd3 in calloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:72:3
[task 2017-06-16T07:16:25.288610Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ed081 in moz_xcalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:94:17
[task 2017-06-16T07:16:25.293591Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8c0e4266 in NewPage /home/worker/workspace/build/src/xpcom/threads/nsEventQueue.h:93:31
[task 2017-06-16T07:16:25.296733Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8c0e4266 in nsEventQueue::PutEvent(already_AddRefed<nsIRunnable>&&, mozilla::BaseAutoLock<mozilla::Mutex>&) /home/worker/workspace/build/src/xpcom/threads/nsEventQueue.cpp:119
[task 2017-06-16T07:16:25.299311Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8c0eecc4 in nsThread::IdleDispatch(already_AddRefed<nsIRunnable>) /home/worker/workspace/build/src/xpcom/threads/nsThread.cpp:1161:15
[task 2017-06-16T07:16:25.306019Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8c0fd615 in NS_IdleDispatchToCurrentThread /home/worker/workspace/build/src/xpcom/threads/nsThreadUtils.cpp:302:16
[task 2017-06-16T07:16:25.309589Z] 07:16:25     INFO - GECKO(1976) |     #6 0x7fca8c0fd615 in NS_IdleDispatchToCurrentThread(already_AddRefed<nsIRunnable>&&, unsigned int) /home/worker/workspace/build/src/xpcom/threads/nsThreadUtils.cpp:384
[task 2017-06-16T07:16:25.312399Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 2048 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.318994Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bbbd3 in calloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:72:3
[task 2017-06-16T07:16:25.325867Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ed081 in moz_xcalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:94:17
[task 2017-06-16T07:16:25.327883Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8c0e4266 in NewPage /home/worker/workspace/build/src/xpcom/threads/nsEventQueue.h:93:31
[task 2017-06-16T07:16:25.331039Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8c0e4266 in nsEventQueue::PutEvent(already_AddRefed<nsIRunnable>&&, mozilla::BaseAutoLock<mozilla::Mutex>&) /home/worker/workspace/build/src/xpcom/threads/nsEventQueue.cpp:119
[task 2017-06-16T07:16:25.336229Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8c0eb9e3 in nsThread::nsChainedEventQueue::PutEvent(already_AddRefed<nsIRunnable>, mozilla::BaseAutoLock<mozilla::Mutex>&) /home/worker/workspace/build/src/xpcom/threads/nsThread.h:184:26
[task 2017-06-16T07:16:25.341488Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8c0eb5f0 in nsThread::PutEvent(already_AddRefed<nsIRunnable>, nsThread::nsNestedEventTarget*) /home/worker/workspace/build/src/xpcom/threads/nsThread.cpp:741:12
[task 2017-06-16T07:16:25.343438Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 416 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.346265Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.356307Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.362249Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8c0f42f6 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.364237Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8c0f42f6 in nsThreadManager::Init() /home/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp:97
[task 2017-06-16T07:16:25.367223Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8c139461 in NS_InitXPCOM2 /home/worker/workspace/build/src/xpcom/build/XPCOMInit.cpp:532:31
[task 2017-06-16T07:16:25.371322Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca965b1f6f in Initialize /home/worker/workspace/build/src/toolkit/xre/nsAppRunner.cpp:1527:8
[task 2017-06-16T07:16:25.378159Z] 07:16:25     INFO - GECKO(1976) |     #6 0x7fca965b1f6f in XREMain::XRE_main(int, char**, mozilla::BootstrapConfig const&) /home/worker/workspace/build/src/toolkit/xre/nsAppRunner.cpp:4766
[task 2017-06-16T07:16:25.380076Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 312 byte(s) in 3 object(s) allocated from:
[task 2017-06-16T07:16:25.382600Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.416384Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.421030Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d908a97 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.423061Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d908a97 in NS_NewBackstagePass(BackstagePass**) /home/worker/workspace/build/src/js/xpconnect/src/XPCRuntimeService.cpp:184
[task 2017-06-16T07:16:25.429769Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d847d43 in mozJSComponentLoader::CreateLoaderGlobal(JSContext*, nsACString&, JSAddonId*, JS::MutableHandle<JSObject*>) /home/worker/workspace/build/src/js/xpconnect/loader/mozJSComponentLoader.cpp:469:19
[task 2017-06-16T07:16:25.435858Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d848773 in mozJSComponentLoader::PrepareObjectForLocation(JSContext*, nsIFile*, nsIURI*, bool*) /home/worker/workspace/build/src/js/xpconnect/loader/mozJSComponentLoader.cpp:525:5
[task 2017-06-16T07:16:25.437958Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 288 byte(s) in 3 object(s) allocated from:
[task 2017-06-16T07:16:25.441192Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.445628Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.449551Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d9405b9 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.451634Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d9405b9 in XPCWrappedNative::WrapNewGlobal(xpcObjectHelper&, nsIPrincipal*, bool, JS::CompartmentOptions&, XPCWrappedNative**) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNative.cpp:215
[task 2017-06-16T07:16:25.453737Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d9246d0 in nsXPConnect::InitClassesWithNewWrappedGlobal(JSContext*, nsISupports*, nsIPrincipal*, unsigned int, JS::CompartmentOptions&, nsIXPConnectJSObjectHolder**) /home/worker/workspace/build/src/js/xpconnect/src/nsXPConnect.cpp:589:9
[task 2017-06-16T07:16:25.455941Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d847f3f in mozJSComponentLoader::CreateLoaderGlobal(JSContext*, nsACString&, JSAddonId*, JS::MutableHandle<JSObject*>) /home/worker/workspace/build/src/js/xpconnect/loader/mozJSComponentLoader.cpp:488:9
[task 2017-06-16T07:16:25.463410Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 264 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.465504Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.469585Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.471605Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d956bec in operator new[] /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:206:12
[task 2017-06-16T07:16:25.477580Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d956bec in XPCNativeInterface::NewInstance(nsIInterfaceInfo*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:379
[task 2017-06-16T07:16:25.479667Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d9428de in XPCNativeInterface::GetNewOrUsed(nsID const*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:137:13
[task 2017-06-16T07:16:25.485427Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d8b8c41 in XPCConvert::NativeInterface2JSObject(JS::MutableHandle<JS::Value>, nsIXPConnectJSObjectHolder**, xpcObjectHelper&, nsID const*, bool, nsresult*) /home/worker/workspace/build/src/js/xpconnect/src/XPCConvert.cpp:829:9
[task 2017-06-16T07:16:25.489640Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 120 byte(s) in 3 object(s) allocated from:
[task 2017-06-16T07:16:25.491742Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.496945Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.501614Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d9421a0 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.503698Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d9421a0 in XPCWrappedNativeProto::GetNewOrUsed(XPCWrappedNativeScope*, nsIClassInfo*, nsIXPCScriptable*, bool) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeProto.cpp:160
[task 2017-06-16T07:16:25.505768Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d94048d in XPCWrappedNative::WrapNewGlobal(xpcObjectHelper&, nsIPrincipal*, bool, JS::CompartmentOptions&, XPCWrappedNative**) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNative.cpp:198:9
[task 2017-06-16T07:16:25.507909Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d9246d0 in nsXPConnect::InitClassesWithNewWrappedGlobal(JSContext*, nsISupports*, nsIPrincipal*, unsigned int, JS::CompartmentOptions&, nsIXPConnectJSObjectHolder**) /home/worker/workspace/build/src/js/xpconnect/src/nsXPConnect.cpp:589:9
[task 2017-06-16T07:16:25.514660Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 120 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.516957Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.521576Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.525623Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d9313e7 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.529765Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d9313e7 in nsXPCWrappedJS::GetNewOrUsed(JS::Handle<JSObject*>, nsID const&, nsXPCWrappedJS**) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedJS.cpp:379
[task 2017-06-16T07:16:25.532045Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d8be414 in XPCConvert::JSObject2NativeInterface(void**, JS::Handle<JSObject*>, nsID const*, nsISupports*, nsresult*) /home/worker/workspace/build/src/js/xpconnect/src/XPCConvert.cpp:965:19
[task 2017-06-16T07:16:25.534269Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d8ba456 in XPCConvert::JSData2Native(void*, JS::Handle<JS::Value>, nsXPTType const&, nsID const*, nsresult*) /home/worker/workspace/build/src/js/xpconnect/src/XPCConvert.cpp:722:16
[task 2017-06-16T07:16:25.544636Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 104 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.546653Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.551663Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.553764Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8dbecc5d in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.555681Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8dbecc5d in SystemPrincipal::Create() /home/worker/workspace/build/src/caps/SystemPrincipal.cpp:37
[task 2017-06-16T07:16:25.557609Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8dbfa68f in nsScriptSecurityManager::Init() /home/worker/workspace/build/src/caps/nsScriptSecurityManager.cpp:1351:38
[task 2017-06-16T07:16:25.559557Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8dbfb01f in nsScriptSecurityManager::InitStatics() /home/worker/workspace/build/src/caps/nsScriptSecurityManager.cpp:1411:30
[task 2017-06-16T07:16:25.561386Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 80 byte(s) in 2 object(s) allocated from:
[task 2017-06-16T07:16:25.569619Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.571587Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.577464Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8c10d01d in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.579470Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8c10d01d in InterfaceInfo /home/worker/workspace/build/src/xpcom/reflect/xptinfo/xptiInterfaceInfo.cpp:644
[task 2017-06-16T07:16:25.581436Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8c10d01d in EntryToInfo /home/worker/workspace/build/src/xpcom/reflect/xptinfo/xptiInterfaceInfoManager.cpp:191
[task 2017-06-16T07:16:25.583494Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8c10d01d in mozilla::XPTInterfaceInfoManager::GetInfoForName(char const*, nsIInterfaceInfo**) /home/worker/workspace/build/src/xpcom/reflect/xptinfo/xptiInterfaceInfoManager.cpp:222
[task 2017-06-16T07:16:25.588897Z] 07:16:25     INFO - GECKO(1976) |     #6 0x7fca8d88e363 in nsXPCComponents_Interfaces::Resolve(nsIXPConnectWrappedNative*, JSContext*, JSObject*, jsid, bool*, bool*) /home/worker/workspace/build/src/js/xpconnect/src/XPCComponents.cpp:294:17
[task 2017-06-16T07:16:25.591158Z] 07:16:25     INFO - GECKO(1976) |     #7 0x7fca8d88ec04 in non-virtual thunk to nsXPCComponents_Interfaces::Resolve(nsIXPConnectWrappedNative*, JSContext*, JSObject*, jsid, bool*, bool*) /home/worker/workspace/build/src/js/xpconnect/src/XPCComponents.cpp:274:29
[task 2017-06-16T07:16:25.594145Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 72 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.596083Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.601792Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.606612Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d931d8f in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.608644Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d931d8f in nsXPCWrappedJSClass::GetNewOrUsed(JSContext*, nsID const&, bool) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedJSClass.cpp:122
[task 2017-06-16T07:16:25.612059Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d93105d in nsXPCWrappedJS::GetNewOrUsed(JS::Handle<JSObject*>, nsID const&, nsXPCWrappedJS**) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedJS.cpp:335:41
[task 2017-06-16T07:16:25.614154Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d8be414 in XPCConvert::JSObject2NativeInterface(void**, JS::Handle<JSObject*>, nsID const*, nsISupports*, nsresult*) /home/worker/workspace/build/src/js/xpconnect/src/XPCConvert.cpp:965:19
[task 2017-06-16T07:16:25.617202Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 64 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.619211Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.629705Z] 07:16:25     INFO - GECKO(1976) |     #1 0x7fca8bf45890 in Alloc /home/worker/workspace/build/src/xpcom/string/nsSubstring.cpp:242:22
[task 2017-06-16T07:16:25.631825Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8bf45890 in nsAString::MutatePrep(unsigned int, char16_t**, unsigned int*) /home/worker/workspace/build/src/xpcom/string/nsTSubstring.cpp:158
[task 2017-06-16T07:16:25.633806Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8bf51ee7 in nsAString::SetCapacity(unsigned int, mozilla::fallible_t const&) /home/worker/workspace/build/src/xpcom/string/nsTSubstring.cpp:698:8
[task 2017-06-16T07:16:25.635721Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8bf3977a in SetLength /home/worker/workspace/build/src/xpcom/string/nsTSubstring.cpp:736:8
[task 2017-06-16T07:16:25.638181Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8bf3977a in AppendUTF8toUTF16(nsACString const&, nsAString&, mozilla::fallible_t const&) /home/worker/workspace/build/src/xpcom/string/nsReadableUtils.cpp:365
[task 2017-06-16T07:16:25.645631Z] 07:16:25     INFO - GECKO(1976) |     #6 0x7fca8bf379b5 in AppendUTF8toUTF16 /home/worker/workspace/build/src/xpcom/string/nsReadableUtils.cpp:344:8
[task 2017-06-16T07:16:25.647657Z] 07:16:25     INFO - GECKO(1976) |     #7 0x7fca8bf379b5 in CopyUTF8toUTF16(nsACString const&, nsAString&) /home/worker/workspace/build/src/xpcom/string/nsReadableUtils.cpp:149
[task 2017-06-16T07:16:25.649505Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 56 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.665080Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.667409Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.670473Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d956bec in operator new[] /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:206:12
[task 2017-06-16T07:16:25.672461Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d956bec in XPCNativeInterface::NewInstance(nsIInterfaceInfo*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:379
[task 2017-06-16T07:16:25.677725Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d9428de in XPCNativeInterface::GetNewOrUsed(nsID const*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:137:13
[task 2017-06-16T07:16:25.681619Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d958245 in XPCNativeSet::GetNewOrUsed(nsID const*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:482:9
[task 2017-06-16T07:16:25.683490Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 40 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.685378Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.689703Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.691630Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d958944 in operator new[] /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:206:12
[task 2017-06-16T07:16:25.693638Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d958944 in XPCNativeSet::NewInstance(nsTArray<RefPtr<XPCNativeInterface> >&&) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:716
[task 2017-06-16T07:16:25.695761Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d945b5a in XPCNativeSet::GetNewOrUsed(XPCNativeSetKey*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:631:15
[task 2017-06-16T07:16:25.697959Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d944826 in XPCWrappedNative::GetNewOrUsed(xpcObjectHelper&, XPCWrappedNativeScope*, XPCNativeInterface*, XPCWrappedNative**) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNative.cpp:416:13
[task 2017-06-16T07:16:25.701557Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 40 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.703601Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.705460Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.709634Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8c10cdfd in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.711850Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8c10cdfd in InterfaceInfo /home/worker/workspace/build/src/xpcom/reflect/xptinfo/xptiInterfaceInfo.cpp:644
[task 2017-06-16T07:16:25.713780Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8c10cdfd in EntryToInfo /home/worker/workspace/build/src/xpcom/reflect/xptinfo/xptiInterfaceInfoManager.cpp:191
[task 2017-06-16T07:16:25.717243Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8c10cdfd in mozilla::XPTInterfaceInfoManager::GetInfoForIID(nsID const*, nsIInterfaceInfo**) /home/worker/workspace/build/src/xpcom/reflect/xptinfo/xptiInterfaceInfoManager.cpp:211
[task 2017-06-16T07:16:25.719324Z] 07:16:25     INFO - GECKO(1976) |     #6 0x7fca8d94289a in XPCNativeInterface::GetNewOrUsed(nsID const*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:133:46
[task 2017-06-16T07:16:25.721808Z] 07:16:25     INFO - GECKO(1976) |     #7 0x7fca8d958245 in XPCNativeSet::GetNewOrUsed(nsID const*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:482:9
[task 2017-06-16T07:16:25.725746Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 40 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.729915Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.731940Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.739726Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8c0ea205 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.742020Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8c0ea205 in MakeUnique<nsEventQueue, mozilla::CondVar &, nsEventQueue::EventQueueType> /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/UniquePtr.h:680
[task 2017-06-16T07:16:25.744077Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8c0ea205 in nsThread::nsChainedEventQueue::nsChainedEventQueue(mozilla::Mutex&) /home/worker/workspace/build/src/xpcom/threads/nsThread.h:151
[task 2017-06-16T07:16:25.748125Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8c0f4436 in nsThread /home/worker/workspace/build/src/xpcom/threads/nsThread.cpp:636:5
[task 2017-06-16T07:16:25.750092Z] 07:16:25     INFO - GECKO(1976) |     #6 0x7fca8c0f4436 in nsThreadManager::Init() /home/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp:97
[task 2017-06-16T07:16:25.751991Z] 07:16:25     INFO - GECKO(1976) |     #7 0x7fca8c139461 in NS_InitXPCOM2 /home/worker/workspace/build/src/xpcom/build/XPCOMInit.cpp:532:31
[task 2017-06-16T07:16:25.756181Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 40 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.759856Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.761855Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.763849Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8c0ea2b6 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.768101Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8c0ea2b6 in MakeUnique<nsEventQueue, mozilla::CondVar &, nsEventQueue::EventQueueType> /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/UniquePtr.h:680
[task 2017-06-16T07:16:25.776760Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8c0ea2b6 in nsThread::nsChainedEventQueue::nsChainedEventQueue(mozilla::Mutex&) /home/worker/workspace/build/src/xpcom/threads/nsThread.h:155
[task 2017-06-16T07:16:25.778854Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8c0f4436 in nsThread /home/worker/workspace/build/src/xpcom/threads/nsThread.cpp:636:5
[task 2017-06-16T07:16:25.780986Z] 07:16:25     INFO - GECKO(1976) |     #6 0x7fca8c0f4436 in nsThreadManager::Init() /home/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp:97
[task 2017-06-16T07:16:25.782986Z] 07:16:25     INFO - GECKO(1976) |     #7 0x7fca8c139461 in NS_InitXPCOM2 /home/worker/workspace/build/src/xpcom/build/XPCOMInit.cpp:532:31
[task 2017-06-16T07:16:25.786799Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 40 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.788736Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.790706Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.792634Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8bff3ad3 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.797177Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8bff3ad3 in Create /home/worker/workspace/build/src/xpcom/ds/nsAtomTable.cpp:78
[task 2017-06-16T07:16:25.799099Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8bff3ad3 in NS_Atomize(nsACString const&) /home/worker/workspace/build/src/xpcom/ds/nsAtomTable.cpp:699
[task 2017-06-16T07:16:25.801274Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8dbd9be3 in mozilla::BasePrincipal::FinishInit(nsACString const&, mozilla::OriginAttributes const&) /home/worker/workspace/build/src/caps/BasePrincipal.cpp:481:21
[task 2017-06-16T07:16:25.804777Z] 07:16:25     INFO - GECKO(1976) |     #6 0x7fca8dbecd4f in SystemPrincipal::Create() /home/worker/workspace/build/src/caps/SystemPrincipal.cpp:38:7
[task 2017-06-16T07:16:25.806706Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 32 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.817615Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.819686Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.821792Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d958944 in operator new[] /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:206:12
[task 2017-06-16T07:16:25.823891Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d958944 in XPCNativeSet::NewInstance(nsTArray<RefPtr<XPCNativeInterface> >&&) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:716
[task 2017-06-16T07:16:25.826024Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d958416 in XPCNativeSet::GetNewOrUsed(nsID const*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:498:11
[task 2017-06-16T07:16:25.830081Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d9596cf in XPCNativeSet::GetNewOrUsed(nsIClassInfo*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedNativeInfo.cpp:585:19
[task 2017-06-16T07:16:25.831907Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 32 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.833797Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.835667Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.838122Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8c0f4714 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.840200Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8c0f4714 in nsThreadManager::Init() /home/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp:106
[task 2017-06-16T07:16:25.843374Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8c139461 in NS_InitXPCOM2 /home/worker/workspace/build/src/xpcom/build/XPCOMInit.cpp:532:31
[task 2017-06-16T07:16:25.846262Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca965b1f6f in Initialize /home/worker/workspace/build/src/toolkit/xre/nsAppRunner.cpp:1527:8
[task 2017-06-16T07:16:25.850274Z] 07:16:25     INFO - GECKO(1976) |     #6 0x7fca965b1f6f in XREMain::XRE_main(int, char**, mozilla::BootstrapConfig const&) /home/worker/workspace/build/src/toolkit/xre/nsAppRunner.cpp:4766
[task 2017-06-16T07:16:25.852113Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 24 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.854720Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.858372Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.860509Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8c10ec64 in operator new /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:194:12
[task 2017-06-16T07:16:25.864364Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8c10ec64 in NS_GetXPTCallStub /home/worker/workspace/build/src/xpcom/reflect/xptcall/xptcall.cpp:64
[task 2017-06-16T07:16:25.872016Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d932dda in InitStub /home/worker/workspace/build/src/obj-firefox/dist/include/nsXPTCUtils.h:28:12
[task 2017-06-16T07:16:25.876238Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d932dda in nsXPCWrappedJS::nsXPCWrappedJS(JSContext*, JSObject*, nsXPCWrappedJSClass*, nsXPCWrappedJS*, nsresult*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedJS.cpp:397
[task 2017-06-16T07:16:25.878399Z] 07:16:25     INFO - GECKO(1976) |     #6 0x7fca8d931425 in nsXPCWrappedJS::GetNewOrUsed(JS::Handle<JSObject*>, nsID const&, nsXPCWrappedJS**) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedJS.cpp:379:42
[task 2017-06-16T07:16:25.880249Z] 07:16:25     INFO - GECKO(1976) | Indirect leak of 4 byte(s) in 1 object(s) allocated from:
[task 2017-06-16T07:16:25.884257Z] 07:16:25     INFO - GECKO(1976) |     #0 0x4bb9ec in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-06-16T07:16:25.888102Z] 07:16:25     INFO - GECKO(1976) |     #1 0x4ecf0d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-06-16T07:16:25.890343Z] 07:16:25     INFO - GECKO(1976) |     #2 0x7fca8d93b7fb in operator new[] /home/worker/workspace/build/src/obj-firefox/dist/include/mozilla/mozalloc.h:206:12
[task 2017-06-16T07:16:25.899630Z] 07:16:25     INFO - GECKO(1976) |     #3 0x7fca8d93b7fb in nsXPCWrappedJSClass::nsXPCWrappedJSClass(JSContext*, nsID const&, nsIInterfaceInfo*) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedJSClass.cpp:145
[task 2017-06-16T07:16:25.902202Z] 07:16:25     INFO - GECKO(1976) |     #4 0x7fca8d931db6 in nsXPCWrappedJSClass::GetNewOrUsed(JSContext*, nsID const&, bool) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedJSClass.cpp:122:29
[task 2017-06-16T07:16:25.906727Z] 07:16:25     INFO - GECKO(1976) |     #5 0x7fca8d93105d in nsXPCWrappedJS::GetNewOrUsed(JS::Handle<JSObject*>, nsID const&, nsXPCWrappedJS**) /home/worker/workspace/build/src/js/xpconnect/src/XPCWrappedJS.cpp:335:41
[task 2017-06-16T07:16:25.908675Z] 07:16:25     INFO - GECKO(1976) | -----------------------------------------------------
[task 2017-06-16T07:16:25.911572Z] 07:16:25     INFO - GECKO(1976) | Suppressions used:
[task 2017-06-16T07:16:25.913348Z] 07:16:25     INFO - GECKO(1976) |   count      bytes template
[task 2017-06-16T07:16:25.915242Z] 07:16:25     INFO - GECKO(1976) |     717      22976 nsComponentManagerImpl
[task 2017-06-16T07:16:25.917084Z] 07:16:25     INFO - GECKO(1976) |      54       7776 mozJSComponentLoader::LoadModule
[task 2017-06-16T07:16:25.918862Z] 07:16:25     INFO - GECKO(1976) |       1        384 pixman_implementation_lookup_composite
[task 2017-06-16T07:16:25.920716Z] 07:16:25     INFO - GECKO(1976) |     611      17509 libfontconfig.so
[task 2017-06-16T07:16:25.922537Z] 07:16:25     INFO - GECKO(1976) |       1         32 libdl.so
[task 2017-06-16T07:16:25.924473Z] 07:16:25     INFO - GECKO(1976) |      17       4348 libglib-2.0.so
[task 2017-06-16T07:16:25.926516Z] 07:16:25     INFO - GECKO(1976) | -----------------------------------------------------
[task 2017-06-16T07:16:25.928481Z] 07:16:25     INFO - GECKO(1976) | SUMMARY: AddressSanitizer: 6380 byte(s) leaked in 30 allocation(s).
[task 2017-06-16T07:16:26.330286Z] 07:16:26     INFO - TEST-INFO | Main app process: exit 0
[task 2017-06-16T07:16:26.333655Z] 07:16:26     INFO - TEST-INFO | LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2017-06-16T07:16:26.336172Z] 07:16:26     INFO - TEST-INFO | LeakSanitizer | This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2017-06-16T07:16:26.338196Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at MakeUnique, nsThread::nsChainedEventQueue::nsChainedEventQueue, nsThread, nsThreadManager::Init
[task 2017-06-16T07:16:26.355789Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at InterfaceInfo, EntryToInfo, mozilla::XPTInterfaceInfoManager::GetInfoForIID, XPCNativeInterface::GetNewOrUsed
[task 2017-06-16T07:16:26.358479Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at nsXPCWrappedJSClass::nsXPCWrappedJSClass, nsXPCWrappedJSClass::GetNewOrUsed, nsXPCWrappedJS::GetNewOrUsed
[task 2017-06-16T07:16:26.360718Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCWrappedNative::GetNewOrUsed, XPCConvert::NativeInterface2JSObject, NativeInterface2JSObject
[task 2017-06-16T07:16:26.364380Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NS_GetXPTCallStub, InitStub, nsXPCWrappedJS::nsXPCWrappedJS, nsXPCWrappedJS::GetNewOrUsed
[task 2017-06-16T07:16:26.370815Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NS_NewBackstagePass, mozJSComponentLoader::CreateLoaderGlobal, mozJSComponentLoader::PrepareObjectForLocation
[task 2017-06-16T07:16:26.377602Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCNativeInterface::NewInstance, XPCNativeInterface::GetNewOrUsed, XPCNativeSet::GetNewOrUsed
[task 2017-06-16T07:16:26.383553Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCNativeSet::NewInstance, XPCNativeSet::GetNewOrUsed, XPCNativeSet::GetNewOrUsed
[task 2017-06-16T07:16:26.389382Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCWrappedNative::WrapNewGlobal, nsXPConnect::InitClassesWithNewWrappedGlobal, mozJSComponentLoader::CreateLoaderGlobal
[task 2017-06-16T07:16:26.392018Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at SystemPrincipal::Create, nsScriptSecurityManager::Init, nsScriptSecurityManager::InitStatics
[task 2017-06-16T07:16:26.394392Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCNativeSet::NewInstance, XPCNativeSet::GetNewOrUsed, XPCWrappedNative::GetNewOrUsed
[task 2017-06-16T07:16:26.396914Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NewPage, nsEventQueue::PutEvent, nsThread::IdleDispatch, NS_IdleDispatchToCurrentThread
[task 2017-06-16T07:16:26.400670Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NewPage, nsEventQueue::PutEvent, nsThread::nsChainedEventQueue::PutEvent, nsThread::PutEvent
[task 2017-06-16T07:16:26.403805Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at nsXPCWrappedJS::GetNewOrUsed, XPCConvert::JSObject2NativeInterface, XPCConvert::JSData2Native
[task 2017-06-16T07:16:26.407463Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at InterfaceInfo, EntryToInfo, mozilla::XPTInterfaceInfoManager::GetInfoForName, nsXPCComponents_Interfaces::Resolve
[task 2017-06-16T07:16:26.411494Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Alloc, nsAString::MutatePrep, nsAString::SetCapacity, SetLength
[task 2017-06-16T07:16:26.414290Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCNativeInterface::NewInstance, XPCNativeInterface::GetNewOrUsed, XPCConvert::NativeInterface2JSObject
[task 2017-06-16T07:16:26.416552Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at Create, NS_Atomize, mozilla::BasePrincipal::FinishInit, SystemPrincipal::Create
[task 2017-06-16T07:16:26.419339Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at nsThreadManager::Init, NS_InitXPCOM2, Initialize, XREMain::XRE_main
[task 2017-06-16T07:16:26.432113Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at nsXPCWrappedJSClass::GetNewOrUsed, nsXPCWrappedJS::GetNewOrUsed, XPCConvert::JSObject2NativeInterface
[task 2017-06-16T07:16:26.434758Z] 07:16:26    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at XPCWrappedNativeProto::GetNewOrUsed, XPCWrappedNative::WrapNewGlobal, nsXPConnect::InitClassesWithNewWrappedGlobal
1 failures in 814 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373626&startday=2017-06-12&endday=2017-06-18&tree=all
1 failures in 892 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373626&startday=2017-06-19&endday=2017-06-25&tree=all
1 failures in 656 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373626&startday=2017-07-03&endday=2017-07-09&tree=all
2 failures in 822 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373626&startday=2017-07-17&endday=2017-07-23&tree=all
1 failures in 1008 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373626&startday=2017-07-24&endday=2017-07-30&tree=all
1 failures in 901 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373626&startday=2017-08-07&endday=2017-08-13&tree=all
1 failures in 939 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373626&startday=2017-08-28&endday=2017-09-03&tree=all

Updated

11 months ago
Priority: -- → P3

Updated

11 months ago
Keywords: mlk
Status: NEW → RESOLVED
Last Resolved: 8 months ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.